<?php
 /*
	Plugin Name: Advanced Comments Widget
	Plugin URI: http://zourbuth.com/plugins/advanced-comments-widget
	Description: An advanced widget that gives you total control over the output of your comments. The comments widget replaces the default WordPress Recent Comments widget. This version gives the output to the user by allowing the input of all the arguments typically seen in the get_comments() function.
	Version: 1.0
	Author: Zourbuth
	Author URI: http://zourbuth.com
	License: Under GPL2
*/
 
/*  
    Copyright 2011 zourbuth (email : zourbuth@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* Launch the plugin. */
add_action( 'plugins_loaded', 'advanced_comments_widget_plugins_loaded' );

/* Initializes the plugin and it's features. */
function advanced_comments_widget_plugins_loaded() {

	/* Set constant path to the members plugin directory. */
	define( 'ADVANCED_COMMENTS_WIDGET_DIR', plugin_dir_path( __FILE__ ) );

	/* Set constant path to the members plugin directory. */
	define( 'ADVANCED_COMMENTS_WIDGET_URL', plugin_dir_url( __FILE__ ) );

	/* Loads and registers the new widgets. */
	add_action( 'widgets_init', 'advanced_comments_widget_load_widgets' );
}

/* Register the extra widgets. Each widget is meant to replace or extend the current default  */
function advanced_comments_widget_load_widgets() {

	/* Load widget file. */
	require_once( ADVANCED_COMMENTS_WIDGET_DIR . 'advanced-comments-widget.php' );

	/* Register widget. */
	register_widget( 'Advanced_Comments_Widget' );
}

?>