<?php

if (function_exists('register_sidebar')) {
	register_sidebar(array(
		'name' => 'Sidebar Widgets',
		'id'   => 'sidebar-widgets',
		'description'   => 'These are widgets for the sidebar.',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2>',
		'after_title'   => '</h2>'
	));
}

if (function_exists('register_sidebar')) {
	register_sidebar(array(
		'name' => 'Member Sidebar',
		'id'   => 'member-sidebar',
		'description'   => 'These are widgets for the sidebar.',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2>',
		'after_title'   => '</h2>'
	));
}

if (function_exists('register_sidebar')) {
	register_sidebar(array(
		'name' => 'Class Finder',
		'id'   => 'class-finder',
		'description'   => 'This is the class finder search form.',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2>',
		'after_title'   => '</h2>'
	));
}

if ( is_admin() ) {
	
	add_action( 'personal_options', array ( 'T5_Hide_Profile_Bio_Box', 'start' ) );
	
	/**
	 * Captures the part with the biobox in an output buffer and removes it.
	 *
	 * @author Thomas Scholz, <info@toscho.de>
	 *
	 */
	class T5_Hide_Profile_Bio_Box
	{
		/**
		 * Called on 'personal_options'.
		 *
		 * @return void
		 */
		public static function start()
		{
			$action = ( IS_PROFILE_PAGE ? 'show' : 'edit' ) . '_user_profile';
			add_action( $action, array ( __CLASS__, 'stop' ) );
			ob_start();
		}
	
		/**
		 * Strips the bio box from the buffered content.
		 *
		 * @return void
		 */
		public static function stop()
		{
			$html = ob_get_contents();
			ob_end_clean();
	
			// remove the headline
			$headline = __( IS_PROFILE_PAGE ? 'About Yourself' : 'About the user' );
			$html = str_replace( '<h3>' . $headline . '</h3>', '', $html );
	
			// remove the table row
			$html = preg_replace( '~<tr>\s*<th><label for="description".*</tr>~imsUu', '', $html );
			print $html;
		}
	}
	
	add_filter( 'user_contactmethods', 'update_contact_methods',10,1);
	
	function update_contact_methods( $contactmethods ) {
	
	unset($contactmethods['aim']);  
	unset($contactmethods['jabber']);  
	unset($contactmethods['yim']); 
	unset($contactmethods['url']);  
	
	return $contactmethods;
	}
	
	function hide_personal_options(){
	echo "\n" . '<script type="text/javascript">jQuery(document).ready(function($) { $(\'form#your-profile > h3:first\').hide(); $(\'form#your-profile > table:first\').hide(); $(\'form#your-profile\').show(); });</script>' . "\n";
	}
	add_action('admin_head','hide_personal_options');
	
	
	add_action( 'show_user_profile', 'extra_user_profile_fields' );
	add_action( 'edit_user_profile', 'extra_user_profile_fields' );
	 
	function extra_user_profile_fields( $user ) { ?>
	<h3><?php _e("Instructor Location Information", "blank"); ?></h3>
	 
	<table class="form-table">
	<tr>
	<th><label for="city"><?php _e("City"); ?></label></th>
	<td>
	<input type="text" name="city" id="city" value="<?php echo esc_attr( get_the_author_meta( 'City', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description"><?php _e("Please enter your city."); ?></span>
	</td>
	</tr>
	<tr>
	<th><label for="state"><?php _e("State"); ?></label></th>
	<td>
	
	<?php $userState = esc_attr( get_the_author_meta( 'State', $user->ID ) ); ?>
	
	<?php echo '<select name="state" id="state" style="width:300px;"> 
	<option value="">Select a State</option> 
	<option '.(($userState == 'AL')?'selected="selected"':'').' value="AL">Alabama</option> 
	<option '.(($userState == 'AK')?'selected="selected"':'').' value="AK">Alaska</option> 
	<option '.(($userState == 'AZ')?'selected="selected"':'').' value="AZ">Arizona</option> 
	<option '.(($userState == 'AR')?'selected="selected"':'').' value="AR">Arkansas</option> 
	<option '.(($userState == 'CA')?'selected="selected"':'').' value="CA">California</option> 
	<option '.(($userState == 'CO')?'selected="selected"':'').' value="CO">Colorado</option> 
	<option '.(($userState == 'CT')?'selected="selected"':'').' value="CT">Connecticut</option> 
	<option '.(($userState == 'DE')?'selected="selected"':'').' value="DE">Delaware</option> 
	<option '.(($userState == 'DC')?'selected="selected"':'').' value="DC">District Of Columbia</option> 
	<option '.(($userState == 'FL')?'selected="selected"':'').' value="FL">Florida</option> 
	<option '.(($userState == 'GA')?'selected="selected"':'').' value="GA">Georgia</option> 
	<option '.(($userState == 'HI')?'selected="selected"':'').' value="HI">Hawaii</option> 
	<option '.(($userState == 'ID')?'selected="selected"':'').' value="ID">Idaho</option> 
	<option '.(($userState == 'IL')?'selected="selected"':'').' value="IL">Illinois</option> 
	<option '.(($userState == 'IN')?'selected="selected"':'').' value="IN">Indiana</option> 
	<option '.(($userState == 'IA')?'selected="selected"':'').' value="IA">Iowa</option> 
	<option '.(($userState == 'KS')?'selected="selected"':'').' value="KS">Kansas</option> 
	<option '.(($userState == 'KY')?'selected="selected"':'').' value="KY">Kentucky</option> 
	<option '.(($userState == 'LA')?'selected="selected"':'').' value="LA">Louisiana</option> 
	<option '.(($userState == 'ME')?'selected="selected"':'').' value="ME">Maine</option> 
	<option '.(($userState == 'MD')?'selected="selected"':'').' value="MD">Maryland</option> 
	<option '.(($userState == 'MA')?'selected="selected"':'').' value="MA">Massachusetts</option> 
	<option '.(($userState == 'MI')?'selected="selected"':'').' value="MI">Michigan</option> 
	<option '.(($userState == 'MN')?'selected="selected"':'').' value="MN">Minnesota</option> 
	<option '.(($userState == 'MS')?'selected="selected"':'').' value="MS">Mississippi</option> 
	<option '.(($userState == 'MO')?'selected="selected"':'').' value="MO">Missouri</option> 
	<option '.(($userState == 'MT')?'selected="selected"':'').' value="MT">Montana</option> 
	<option '.(($userState == 'NE')?'selected="selected"':'').' value="NE">Nebraska</option> 
	<option '.(($userState == 'NV')?'selected="selected"':'').' value="NV">Nevada</option> 
	<option '.(($userState == 'NH')?'selected="selected"':'').' value="NH">New Hampshire</option> 
	<option '.(($userState == 'NJ')?'selected="selected"':'').' value="NJ">New Jersey</option> 
	<option '.(($userState == 'NM')?'selected="selected"':'').' value="NM">New Mexico</option> 
	<option '.(($userState == 'NY')?'selected="selected"':'').' value="NY">New York</option> 
	<option '.(($userState == 'NC')?'selected="selected"':'').' value="NC">North Carolina</option> 
	<option '.(($userState == 'ND')?'selected="selected"':'').' value="ND">North Dakota</option> 
	<option '.(($userState == 'OH')?'selected="selected"':'').' value="OH">Ohio</option> 
	<option '.(($userState == 'OK')?'selected="selected"':'').' value="OK">Oklahoma</option> 
	<option '.(($userState == 'OR')?'selected="selected"':'').' value="OR">Oregon</option> 
	<option '.(($userState == 'PA')?'selected="selected"':'').' value="PA">Pennsylvania</option> 
	<option '.(($userState == 'RI')?'selected="selected"':'').' value="RI">Rhode Island</option> 
	<option '.(($userState == 'SC')?'selected="selected"':'').' value="SC">South Carolina</option> 
	<option '.(($userState == 'SD')?'selected="selected"':'').' value="SD">South Dakota</option> 
	<option '.(($userState == 'TN')?'selected="selected"':'').' value="TN">Tennessee</option> 
	<option '.(($userState == 'TX')?'selected="selected"':'').' value="TX">Texas</option> 
	<option '.(($userState == 'UT')?'selected="selected"':'').' value="UT">Utah</option> 
	<option '.(($userState == 'VT')?'selected="selected"':'').' value="VT">Vermont</option> 
	<option '.(($userState == 'VA')?'selected="selected"':'').' value="VA">Virginia</option> 
	<option '.(($userState == 'WA')?'selected="selected"':'').' value="WA">Washington</option> 
	<option '.(($userState == 'WV')?'selected="selected"':'').' value="WV">West Virginia</option> 
	<option '.(($userState == 'WI')?'selected="selected"':'').' value="WI">Wisconsin</option> 
	<option '.(($userState == 'WY')?'selected="selected"':'').' value="WY">Wyoming</option>
	</select>';
	?>
	<br /><span class="description"><?php _e("Please select your state of residence."); ?></span>
	</td>
	</tr>
	<tr>
	<th><label for="postalcode"><?php _e("Postal Code"); ?></label></th>
	<td>
	<input type="text" name="postalcode" id="postalcode" value="<?php echo esc_attr( get_the_author_meta( 'postalcode', $user->ID ) ); ?>" class="regular-text" /><br />
	<span class="description"><?php _e("Please enter your postal code."); ?></span>
	</td>
	</tr>
	</table>
	<?php }	

	add_action( 'personal_options_update', 'save_extra_user_profile_fields' );
	add_action( 'edit_user_profile_update', 'save_extra_user_profile_fields' );
	 
	function save_extra_user_profile_fields( $user_id ) {
	 
	if ( !current_user_can( 'edit_user', $user_id ) ) { return false; }
	 
	update_user_meta( $user_id, 'City', $_POST['city'] );
	update_user_meta( $user_id, 'State', $_POST['state'] );
	update_user_meta( $user_id, 'postalcode', $_POST['postalcode'] );
	}
	
}



?>