

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
	
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php WERQ_title(); ?></title>
    
	<script type="text/javascript">
    (function(doc) {
    
        var addEvent = 'addEventListener',
            type = 'gesturestart',
            qsa = 'querySelectorAll',
            scales = [1, 1],
            meta = qsa in doc ? doc[qsa]('meta[name=viewport]') : [];
    
        function fix() {
            meta.content = 'width=device-width,minimum-scale=' + scales[0] + ',maximum-scale=' + scales[1];
            doc.removeEventListener(type, fix, true);
        }
    
        if ((meta = meta[meta.length - 1]) && addEvent in doc) {
            fix();
            scales = [.25, 1.6];
            doc[addEvent](type, fix, true);
        }
    
    }(document));
    </script>

	<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    
    <link rel="stylesheet" href="<?= STYLE_DIR ?>/reset.css" />
    <link rel="stylesheet" href="<?= STYLE_DIR ?>/text.css" />    
    <link rel="stylesheet" href="<?= STYLE_DIR ?>/960_12_col.css" />
    <link rel="stylesheet" href="<?= STYLE_DIR ?>/formalize.css" />    
    <link rel="stylesheet" href="<?= STYLE_DIR ?>/style.css" />
    <link rel="stylesheet" href="<?= STYLE_DIR ?>/jquery.mfx-accordion.css" />
    <link rel="stylesheet" href="<?= STYLE_DIR ?>/jquery.fancybox.css" />

    <?php echo '<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>'; ?>
    <?php echo '<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jqueryui/1.9.0/jquery-ui.min.js"></script>'; ?>
    <?php echo '<script type="text/javascript" src="//ajax.aspnetcdn.com/ajax/jquery.validate/1.9/jquery.validate.min.js"></script>'; ?>
    <?php echo '<script type="text/javascript" src="'.JS_DIR.'/jquery.formalize.js"></script>'; ?>
	
	<script>
    $(document).ready(function() 
    {
        $('a[href$="jpg"], a[href$="png"], a[href$="jpeg"]').fancybox();	
    });
    </script>

	<?php wp_head(); ?>
    
	<script type="text/javascript" src="//use.typekit.net/dxv6tlw.js"></script>
    <script type="text/javascript">try{Typekit.load();}catch(e){}</script> 
    
</head>

<?php

if ( is_user_logged_in() ) {
	
	$user = wp_get_current_user();
	
	$user_type = $user->roles[0];
	
}

?>

<body <?php body_class(); ?>>
	
<div id="canvas" class="<?= $user_type ?>">
	<div id="header" class="container_12">
    	<a href="/" title="Click here to return home"><img id="logo" src="<?= THEME_URI; ?>/images/logo.jpg"></a>
    	<div class="grid_6 push_6 rel">
        	<div class="grid_10 alpha omega login">

                <?php
				
				if ( is_user_logged_in() ) {
					
					$user = wp_get_current_user();
					$logoutURL = wp_logout_url( home_url() );
					
					if ( $user->roles[0] == 'administrator' || $user->roles[0] == 'instructor' || $user->roles[0] == 'in-progress' || $user->roles[0] == 'oldskool' || $user->roles[0] == 'werq_admin' ) {
						
						echo "<script>
								  $(document).ready(function(){
									 $('li#menu-item-392 a').attr('target', '_blank');
								  });				
							  </script>";

					$user_level = checkCurrentUserLevel();
					
					if ( !empty($user_level) ) {
						
						switch($user_level) {
							
							case 1: // Valid User
								break;
							case 2: // Needs to Pay
							echo "<script>
									  $(document).ready(function(){
										 $('li#menu-item-392 a').attr('href', '/werqforce/billing/');
									  });				
								  </script>";
								exit;
							
						}
						
					}

	
						echo '<span><a href="'.$logoutURL.'" title="Logout">Logout</a></span>';
	
						wp_nav_menu( array('menu' => 'Member Top' ));
						
						echo '<span class="gray">What\'s up, '.$user->user_firstname.'!</span>';
						
					} else {
						
						echo '<span><a href="'.$logoutURL.'" title="Logout">Logout</a></span>';
						echo '<span class="gray">What\'s up, '.$user->user_firstname.'! Are you ready to WERQ?</span>';
					
					}
									
				} else {
					
					echo '<a href="/login/">Member Login »</a>';
					
				}
				
				?>
 
            </div>
            <div class="grid_6 alpha omega subscribe">
                <form action="http://chicagofitnessparties.us2.list-manage.com/subscribe/post?u=9d46ac14124721f21e6c2bc55&amp;id=8f2588374e" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate>
                    <button class="alignright ml10"><span class="cufonButtonReg">Subscribe</span></button>
                    <input class="placeholderText header" type="email" value="" name="EMAIL" id="mce-EMAIL" placeholder="Enter e-mail address to subscribe to our newsletter">                
                </form>
            </div>            
        </div>
    </div>
    <div id="nav" class="container_12">
        	<ul class="find-class">
    		<li>
    		<a href="<?php bloginfo('url'); ?>/find-a-class">Classes</a>
    			<ul id="search-form">
	    			<li>
	    			<?php dynamic_sidebar('Class Finder'); ?>
	    			</li>
	    		</ul>
			</li>
	    	</ul>
    	<?php wp_nav_menu( array('menu' => 'Top Menu' )); ?>
    </div>