<?php
/*
Template Name:Find A Class/Instructor
*/
?>	

<?php get_header(); ?>

<div class="container_12 block">

	<div class="grid_12">

		<?php echo get_title_header() ?>
        
        <div class="grid_12 alpha omega content">
        
        <?php dynamic_sidebar('Class Finder'); ?>
		
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
            
            <?php the_content(); ?>
            
            <?php endwhile; endif; ?>
            
            <?php
            
            $orderby = 'name';
            $order = 'DESC';
            $display = '';
            
            wp_reset_query();



			$instructors = array();
			$roles = array('instructor', 'oldskool');
			
			foreach ($roles as $role) :
				$users_query = new WP_User_Query( array( 
					'fields' => 'all_with_meta', 
					'role' => $role, 
					'orderby' => 'display_name'
					) );
				$results = $users_query->get_results();
				if ($results) $instructors = array_merge($instructors, $results);
			endforeach;
			
			function cmp( $a, $b )
			{ 
			  return strcasecmp($a->first_name,$b->first_name);
			} 
			
			usort($instructors,'cmp');			
			
			$display .= '<table class="classList" width="100%" border="0" cellpadding="0" cellspacing="0">
                         <thead>
                             <tr>
                                 <td width="15%">Photo</td>
                                 <td width="25%">Instructor Name</td>
                                 <td width="25%">City</td>
                                 <td width="15%">State</td>
                                 <td width="25%">Schedule</td>
                             </tr>
                         </thead>
                         <tbody>';			
            
            foreach ( $instructors as $instructor ) :
            
                $queryID = 'user_'.$instructor->ID;
                $user_info = get_userdata($instructor->ID);			
                $photo = get_field('profile_image', $queryID);

				$State = trim($user_info->State);
				$first_name = trim($user_info->first_name);
				$City = trim($user_info->City);
				$check_level = checkSpecificUserLevel($queryID);
				
				
				if ( !empty($State) && !empty($first_name) && !empty($City) && $check_level == 1 ) {

					$user_name = ucfirst($user_info->first_name).' '.ucfirst($user_info->last_name);
					$user_state = ucfirst(convert_state( $user_info->State ));
					$button = '<button onclick="location.href=\''.THEME_URI.'/profile/?instructor='.$instructor->ID.'\'"><span class="cufonButtonReg">Class Schedule</span></button></div>';
		
					if ( !empty($photo) ) {
					
						if ( !empty($photo['sizes']['thumbnail']) ) {
							
							$photo = THEME_URI.'/inc/thumb.php?src='.$photo['sizes']['thumbnail'].'&w=60&h=60&q=95';
							
						} else {
							
							$photo = THEME_URI.'/inc/thumb.php?src='.$photo['sizes']['full'].'&w=60&h=60&q=95';
							
						}
					
					} else {
						
						$photo = THEME_URI.'/inc/thumb.php?src='.THEME_URI.'/images/no-image.png&w=60&h=60&q=95';
						
					}
					
					$display .= '   <tr>
										<td><img class="profile" width="60" height="60" src="'.$photo.'"/></td>
										<td>'.$user_name.'</td>
										<td>'.ucfirst($user_info->City).'</td>
										<td>'.$user_state.'</td>
										<td>'.$button.'</td>
									</tr>';			
					
				}
            
            endforeach;
            
            $display .= '</tbody></table>';
            
            echo $display;
                    
            ?>   
            
        </div>

    </div>

</div>

<?php get_footer(); ?>
