<?php
/*
Template Name:Member Homepage
*/
?>	

<?php manageUserRedirect(); ?>

<?php get_header(); ?>

<div id="blogEntry" class="container_12 block">

	<div class="grid_12">
    
		<?php echo get_title_header($static_title='WERQForce Instructor Homepage') ?>  
    
    </div>
    
    <div class="grid_12 dividerA">

		<div class="grid_8 omega">

			<div class="grid_8 alpha omega">

				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                
                <?php the_content(); ?>
                
                <?php endwhile; endif; ?>
            
            </div>
            
            <div class="grid_8 alpha omega border top bottom solid mb20">
            
            	<div onclick="location.href='<?php echo get_permalink(364); ?>'" class="grid_2 alpha feature">
                
                	<span class="icon"><img src="<?= THEME_URI ?>/images/icon_member_blog.png" /></span>
                    <span class="icontext">Blog</span>
                
                </div>
                
            	<div onclick="location.href='<?php echo get_permalink(375); ?>'" class="grid_2 feature">
                
                	<span class="icon"><img src="<?= THEME_URI ?>/images/icon_member_video.png" /></span>
                    <span class="icontext">Videos</span>
                
                </div>
                
            	<?php
				
				$user = wp_get_current_user();
				
				if ( $user->roles[0] == 'in-progress' ) $action = 'alert(\'You must be a full-fledged WERQ Instructor to set a class schedule\')';
				else $action = 'window.open(\'/wp-admin/profile.php\')';
				
				?>
                
                <div onclick="javascript:<?= $action ?>" class="grid_2 feature">
                
                	<span class="icon"><img src="<?= THEME_URI ?>/images/icon_member_classes.png" /></span>
                    <span class="icontext">Classes</span>
                
                </div>
                
            	<div onclick="location.href='<?php echo get_permalink(287); ?>'" class="grid_2 omega feature">
                
                	<span class="icon"><img src="<?= THEME_URI ?>/images/icon_member_billing.png" /></span>
                    <span class="icontext">Billing</span>
                
                </div>                                                
            
            </div>
        
            <div class="grid_8 alpha omega member">
            
            	<h1 class="cufon">Latest from the WERQforce Blog</h1>
        
				<?php wp_reset_query(); ?>
                
                <?php query_posts( 'post_type=post&cat=19&posts_per_page=1' ); ?>
                
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                    
                    <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
            
                        <h2 class="entry_title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
            
                        <?php include (TEMPLATEPATH . '/inc/meta.php' ); ?>
            
                        <?php echo getBlogFeature($post->ID,1) ?>                
            
                        <div class="entry">
                            <?php the_content(); ?>
                        </div>
            
                        <div class="postmetadata">
                            <?php the_tags('Tags: ', ', ', '<br />'); ?>
                            Comments: <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
                        </div>
                        
                        <a class="postLink" href="<?= the_permalink() ?>">Continue Reading »</a>
            
                    </div>
            
                <?php endwhile; ?>
            
                <?php else : ?>
            
                    <p><strong>No blog entries found</strong></p>
            
                <?php endif; ?>        
                
            </div>
            
            <div class="grid_8 alpha omega member">
    
                <h1 class="cufon">Latest WERQforce Video</h1>
				
				<?php wp_reset_query(); ?>
				
				<?php query_posts( 'post_type=privatevideos&posts_per_page=1&cat=-28' ); ?>
                
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                    
                    <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
            
                        <h2 class="entry_title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
            
                        <?php include (TEMPLATEPATH . '/inc/meta.php' ); ?>      
            
                        <div class="entry">
                        
                            <?php
                            
                            $display = '';
                            $comments = get_field('description');
                                
                            if ( get_field('type') == 1 ) { // Vimeo
                                
                                $vidID = get_field('video_id');
                                
                                $display = '<div class="grid_8 alpha omega mb20">
                                                <iframe src="http://player.vimeo.com/video/'.$vidID.'" width="620" height="385" 
                                                frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
                                             </div>';
                                
                            } 
                            
                            if ( get_field('type') == 2 ) { // YouTube
                                
                                $vidID = get_field('video_id');
                                
                                $display = '<div class="grid_8 alpha omega mb20">
                                                <iframe width="620" height="385" src="http://www.youtube.com/embed/'.$vidID.'?modestbranding=1
                                                &title='.$title.'" frameborder="0" allowfullscreen></iframe>
                                             </div>';
                                
                            }	
                            
                            if ( !empty($comments) ) {
                                
                                $display .= '<div class="grid_8 alpha omega mb20">'.$comments.'</div>';
                                
                            }
                            
                            echo $display;					
                            
                            ?>
                            
                        </div>
            
                        <div class="postmetadata">
                            <?php the_tags('Tags: ', ', ', '<br />'); ?>
                            Comments: <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
                        </div>
                        
                        <a class="postLink" href="<?= the_permalink() ?>">Watch It »</a>
            
                    </div>
            
                <?php endwhile; endif; ?>
            
            </div>            
        
        </div>
        
        <div class="grid_3 omega push_1">
        
            <div id="sidebar">
			
				<script>
					$(document).ready(function(){
					  $('li#menu-item-372 a').attr('target', '_blank');
					});				
				</script>
				
				<?php dynamic_sidebar('Member Sidebar'); ?>    	
                
    		</div>
                
        </div>
    
    </div>
    
</div>    
	


<?php get_footer(); ?>