<?php
/*
Template Name:User Profile Page
*/
?>	

<?php if ( $_GET['instructor'] ) { ?>

<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="container_12 block">
	<div class="grid_12">

		<?php echo get_title_header() ?>
        
        <div class="grid_12 alpha omega content">

			<?php
            
            $userID = $_GET['instructor'];
            $instructor_email = get_the_author_meta('user_email', $userID);
            $queryID = 'user_'.$userID;
            $user_bio = substr(get_field('bio', $queryID),0,800);
            $photo = get_field('profile_image', $queryID);
            
            if ( !empty($photo) ) {
            
                if ( !empty($photo['sizes']['medium']) ) {
                    
                    $photo = THEME_URI.'/inc/thumb.php?src='.$photo['sizes']['medium'].'&w=180&h=190&q=95';
                    
                } else {
                    
                    $photo = THEME_URI.'/inc/thumb.php?src='.$photo['sizes']['full'].'&w=180&h=190&q=95';
                    
                }
            
            } else {
                
                $photo = THEME_URI.'/images/no_image.png';
                
            }
    
            
            ?>
            
            <div class="grid_12 alpha omega clearfix pb20 mb20 border bottom dotted">
                
                <div class="grid_3 alpha rel">
                
                    <img class="polaroid_overlay" width="241" height="246" src="<?= IMG_DIR ?>/polaroid_overlay.png" />
                    
                    <img class="profile" width="180" height="190" src="<?= $photo ?>" />
                
                </div>
                
                <div class="grid_9 omega profile_bio">
                
                    <h2 class="cufon instructor">Instructor Bio</h2>
                    
                    <p><?php if ( !empty($user_bio) ) { echo $user_bio; } else { echo "Hi, I'm a Licensed WERQ Instructor and Certified Fitness Professional. WERQ dance fitness is accessible to all dance abilities and fitness levels.  I WERQ hard to teach a safe and effective class that you can easily follow.  The WERQ warm up previews the dance steps and the WERQ cool down fuses yoga-inspired stretches with balance poses.  WERQ is fiercely fun, cardio-torching cardio.  Are you ready to WERQ?"; } ?></p>
                
	                		<button class="contact_switch">Contact Instructor <img src="http://werqfitness.com/wp-content/uploads/2014/03/email.png" alt="contact instructor"</button>

            		
                </div>
            
            </div>
            
					<script type="text/javascript">
					 
						
						$(document).ready(function(){
						    $('.contact_switch').click(function(){
						        $("#contact_form").addClass('active');
						    });
						    $('#close').click(function(e){
						        e.stopPropagation();
						        $("#contact_form").removeClass('active');
						    });
						});
 	 
					</script>
					
					<div class="instructor_contact" id="contact_form">
						<div id="instructor_contact">
	            			<?php gravity_form(5, $display_title=false, $display_description=false, $display_inactive=false, $field_values=null, $ajax=true, $tabindex); ?>
	            			<p class="contact_switch" id="close">close</p>
	            		</div>
            		</div>
                
                
            <?php 
            
            // GET CLASS LISTINGS
            
            $display = '';
            
            if ( get_field('announcements', $queryID) ) :
                
                $announcement = get_field('announcements', $queryID);
                
                $display .= '<div class="grid_12 alpha omega mb10">
                                <p class="instructorNote">'.$announcement.'</p>
                             </div>';
                             
            endif;
            
            $display .= '<div class="grid_12 alpha omega clearfix">';
			
			$display .= '<h2 class="cufon instructor sub">Class Schedule</h2>';
            
            if( get_field('classes', $queryID) ) :
                
                $display .= '<table id="regular_classes" class="classList userList" width="100%" border="0" cellpadding="0" cellspacing="0">
                             <thead>
                                 <tr>
                                     <td width="35%">Date & Time</td>
                                     <td width="20%">Gym Name</td>
                                     <td width="15%">State</td>
                                     <td width="30%">Address</td>
                                 </tr>
                             </thead>
                             <tbody>';				
                
                while( has_sub_field('classes', $queryID) ) : 
                
					                    $frequency = get_sub_field('frequency');
                    $day = get_sub_field('day');
                    $time = get_sub_field('time');
                    $gym = get_sub_field('gym_name');
                    $address = get_sub_field('address');
                    $state = get_sub_field('state');
					$state_clean = convert_state( get_sub_field('state') );
                    $city = get_sub_field('city');
					$postal = get_sub_field('zipcode');
                    $today = strtotime(date('Y-m-d'));
                    $classdate = strtotime($date);						
                    
                    $display .= '<tr>
                                    <td>'.$frequency.' '.$day.' from '.$time.'</td>
                                    <td>'.$gym.'</td>
                                    <td>'.$state_clean.'</td>
                                    <td>'.$address.', '.$city.', '.$state.' '.$postal.'</td>
                                 </tr>';
                                    
                endwhile;
                
            $display .= '</tbody></table>';
            $isOther = 'Other ';
            
            else: 
			
				$display .= 'Instructor has not yet uploaded a class schedule.';
			
			endif;
            
            if( get_field('other_classes', $queryID) ) :
                
                $display .= '<h2 class="cufon instructor sub">'.$isOther.'Upcoming Classes</h2>
                             <table id="other_classes" class="classList userList" width="100%" border="0" cellpadding="0" cellspacing="0">
                             <thead>
                                 <tr>
                                     <td width="35%">Date & Time</td>
                                     <td width="20%">Gym Name</td>
                                     <td width="15%">State</td>
                                     <td width="30%">Address</td>
                                 </tr>
                             </thead>
                             <tbody>';
                             
                $count = 0;				
                
                while( has_sub_field('other_classes', $queryID) ) :
                
                    $date = get_sub_field('date');
                    $date_object = new DateTime($date);
                    $class_date = $date_object->format('l F jS');			
                    $time = get_sub_field('time');
                    $gym = get_sub_field('gym_name');
                    $state = get_sub_field('state');
					$state_clean = convert_state( get_sub_field('state') );
                    $city = get_sub_field('city');
					$postal = get_sub_field('zipcode');
                    $address = get_sub_field('address');
                    $today = strtotime(date('Y-m-d'));
                    $classdate = strtotime($date);	
                    
                    if ( $classdate > $today ) :
                    
                        $display .= '<tr>
                                        <td>'.$class_date.', from '.$time.'</td>
                                        <td>'.$gym.'</td>
                                        <td>'.$state_clean.'</td>
                                        <td>'.$address.', '.$city.', '.$state.' '.$postal.'</td>
                                     </tr>';
                                 
                    endif;
                                    
                $count++;
                
                endwhile;
                
            $display .= '</tbody></table>';
            
            endif;
            
            if ( $count == 0 ) :
                
                $display .= "<script>
                                $(document).ready(function() {
                                    
                                    $('#other_classes').remove();
                                    
                                });
                             </script>";
            
            endif;
            
            $display .= '</div>';
            
            echo $display;					
            
            ?>
        </div>	                
    </div>
</div>

<?php endwhile; endif; ?>

<?php get_footer(); ?>

<?php } else { ?>

<script>location.href="/find-a-class/"</script>

<?php } ?>